org.encog.neural.networks.training.strategy

## Class SmartLearningRate

- java.lang.Object
- - org.encog.neural.networks.training.strategy.SmartLearningRate

- All Implemented Interfaces:
    Strategy

      public class SmartLearningRate
      extends Object
      implements Strategy

  Attempt to automatically set the learning rate in a learning method that supports a learning rate.
  Author:
    jheaton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `LEARNING_DECAY` Learning decay rate.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartLearningRate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(MLTrain train)` Initialize this strategy.
    `void` | `postIteration()` Called just after a training iteration.
    `void` | `preIteration()` Called just before a training iteration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LEARNING_DECAY

          public static final double LEARNING_DECAY

      Learning decay rate.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SmartLearningRate

          public SmartLearningRate()

  - ### Method Detail

    - #### init

          public void init(MLTrain train)

      Initialize this strategy.
      Specified by:
        `init` in interface `Strategy`
      Parameters:
        `train` - The training algorithm.

    - #### postIteration

          public void postIteration()

      Called just after a training iteration.
      Specified by:
        `postIteration` in interface `Strategy`

    - #### preIteration

          public void preIteration()

      Called just before a training iteration.
      Specified by:
        `preIteration` in interface `Strategy`

Copyright © 2014. All Rights Reserved.